"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = HTMLTable;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _TreeRenderer = _interopRequireDefault(require("./TreeRenderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * A component layout to render tables.
 *
 * @param props - Props from {@link useHtmlTableProps} hook.
 *
 * @public
 */
function HTMLTable({
  root: tree,
  contentWidth,
  TDefaultRenderer,
  config,
  ...props
}) {
  return /*#__PURE__*/_react.default.createElement(TDefaultRenderer, props, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    horizontal: true,
    style: {
      width: contentWidth
    }
  }, /*#__PURE__*/_react.default.createElement(_TreeRenderer.default, {
    node: tree,
    config
  })));
}
//# sourceMappingURL=HTMLTable.js.map