import React from 'react';
import { ScrollView } from 'react-native';
import TreeRenderer from './TreeRenderer';

/**
 * A component layout to render tables.
 *
 * @param props - Props from {@link useHtmlTableProps} hook.
 *
 * @public
 */
export default function HTMLTable({
  root: tree,
  contentWidth,
  TDefaultRenderer,
  config,
  ...props
}) {
  return /*#__PURE__*/React.createElement(TDefaultRenderer, props, /*#__PURE__*/React.createElement(ScrollView, {
    horizontal: true,
    style: {
      width: contentWidth
    }
  }, /*#__PURE__*/React.createElement(TreeRenderer, {
    node: tree,
    config
  })));
}
//# sourceMappingURL=HTMLTable.js.map